Error after "ruby script/rails server webrick -e production"

2013-01-27 21:23 - Alexey Aleynikov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.2.2

Description

CentOS

New instalation of Redmine Version 2.2.2 (2013-01-20)

@gem -v

1.3.7

ruby -v

ruby 1.8.7 (2011-06-30 patchlevel 352) [i386-linux]

rails -v

Rails 3.2.11

@

Please, help to fix the problem:

ruby script/rails server webrick -e production

@

=> Booting WEBrick

=> Rails 3.2.11 application starting in production on http://0.0.0.0:3000

=> Call with -d to detach

=> Ctrl-C to shutdown server

[2013-01-28 00:12:40] INFO  WEBrick 1.3.1

[2013-01-28 00:12:40] INFO  ruby 1.8.7 (2011-06-30) [i386-linux]

[2013-01-28 00:12:40] INFO  WEBrick::HTTPServer#start: pid=1433 port=3000

Started GET "/assets/rails.png" for 87.228.96.228 at Mon Jan 28 00:12:43 +0400 2013

ActionController::RoutingError (No route matches [GET] "/assets/rails.png"):

actionpack (3.2.11) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'

@

History

#1 - 2013-01-27 22:10 - Daniel Felix

Alexey Aleynikov wrote:

@gem -v

1.3.7

 Current Version of RubyGems: 1.8.24

Please upgrade Gems. Maybe this fix your problem.

#2 - 2013-01-28 16:38 - Alexey Aleynikov

Unfortunately, nothings changes, but gems now is 1.8.25:

ruby script/rails server webrick -e production

 => Booting WEBrick

=> Rails 3.2.11 application starting in production on http://0.0.0.0:3000

=> Call with -d to detach
http://0.0.0.0:3000
http://0.0.0.0:3000


=> Ctrl-C to shutdown server

[2013-01-28 19:34:20] INFO  WEBrick 1.3.1

[2013-01-28 19:34:20] INFO  ruby 1.8.7 (2011-06-30) [i386-linux]

[2013-01-28 19:34:20] INFO  WEBrick::HTTPServer#start: pid=11984 port=3000

Started GET "/assets/rails.png" for 212.5.77.42 at Mon Jan 28 19:35:36 +0400 2013

ActionController::RoutingError (No route matches [GET] "/assets/rails.png"):

actionpack (3.2.11) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'

actionpack (3.2.11) lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

railties (3.2.11) lib/rails/rack/logger.rb:32:in `call_app'

railties (3.2.11) lib/rails/rack/logger.rb:16:in `call'

activesupport (3.2.11) lib/active_support/tagged_logging.rb:22:in `tagged'

railties (3.2.11) lib/rails/rack/logger.rb:16:in `call'

actionpack (3.2.11) lib/action_dispatch/middleware/request_id.rb:22:in `call'

rack (1.4.4) lib/rack/methodoverride.rb:21:in `call'

rack (1.4.4) lib/rack/runtime.rb:17:in `call'

activesupport (3.2.11) lib/active_support/cache/strategy/local_cache.rb:72:in `call'

rack (1.4.4) lib/rack/lock.rb:15:in `call'

actionpack (3.2.11) lib/action_dispatch/middleware/static.rb:62:in `call'

rack-cache (1.2) lib/rack/cache/context.rb:136:in `forward'

rack-cache (1.2) lib/rack/cache/context.rb:245:in `fetch'

rack-cache (1.2) lib/rack/cache/context.rb:185:in `lookup'

rack-cache (1.2) lib/rack/cache/context.rb:66:in `call!'

rack-cache (1.2) lib/rack/cache/context.rb:51:in `call'

railties (3.2.11) lib/rails/engine.rb:479:in `call'

railties (3.2.11) lib/rails/application.rb:223:in `call'

rack (1.4.4) lib/rack/content_length.rb:14:in `call'

railties (3.2.11) lib/rails/rack/log_tailer.rb:17:in `call'

rack (1.4.4) lib/rack/handler/webrick.rb:59:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

/usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

rack (1.4.4) lib/rack/handler/webrick.rb:13:in `run'

rack (1.4.4) lib/rack/server.rb:268:in `start'

railties (3.2.11) lib/rails/commands/server.rb:70:in `start'

railties (3.2.11) lib/rails/commands.rb:55

railties (3.2.11) lib/rails/commands.rb:50:in `tap'

railties (3.2.11) lib/rails/commands.rb:50

script/rails:6:in `require'

script/rails:6

^C[2013-01-28 19:36:09] INFO  going to shutdown ...

[2013-01-28 19:36:09] INFO  WEBrick::HTTPServer#start done.

Exiting

[root@ringofit redmine.9-33.com]#

#3 - 2013-01-28 16:47 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

There's no assets directory indeed except maybe if you enabled the pipeline. And no Rails.png either.

You must have changed something in default configuration, please post your support questions in Help forum.
